Subject: [bug#63542] [PATCH 00/19]: gnu: astronomy: May updates.

From: Sharlatan Hellseher <[email-masked]>
Date: Wed, 17 May 2023 00:20:08 +0100

Hi Guix!

After core-update was merged and some issues with main packages related to
astronomy was fixed there is a time to update rest of them.

Here I've updated astronomical Python packages and simplify packaging (used
Gexps or pyproject-build-system). I'd like to add all of my pending packages
in the nearest future, I hope it will be useful for community.

> ./pre-inst-env guix build $(./pre-inst-env guix refresh --list-dependent python-asdf-astropy python-gwcs python-sunpy python-spherical-geometry python-sgp4 python-ccdproc python-reproject python-pyvo python-fitsio python-astropy-healpix python-astroquery python-pynbody python-astral python-poppy python-photutils python-ephem python-asdf | awk -F: '{print $2}')
> /gnu/store/da3yv8v7gxcar4abmhkg1vlh6nrizqq6-python-sunpy-4.1.5
> /gnu/store/adg4dm7x0m7jcc9l85b85q2hpsyl0rvg-python-astroalign-2.4.2
> /gnu/store/16mdzw3xfqcd0x4nbs648way1z6psky6-python-poliastro-0.17.0
> /gnu/store/h709xxp1zn0mdv9p23g1c7r80k5vsg38-python-spherical-geometry-1.2.22
> /gnu/store/ksmy9f2n633f52qp929wldhlisms8jfg-python-poppy-1.1.1
> /gnu/store/r12mnqg0yx1gy0zrmbr95gy719rxj4w1-python-regions-0.7
> /gnu/store/493halkqfx3dz8jrc51211n3yfxswxm3-python-photutils-1.7.0

Sharlatan Hellseher (19):
  gnu: python-asdf-astropy: Update to 0.4.0.
  gnu: python-asdf-wcs-schemas: Symplify.
  gnu: python-gwcs: Update to 0.18.3.
  gnu: python-sunpy: Update to 4.1.5.
  gnu: python-spherical-geometry: Add update note.
  gnu: python-sgp4: Update to 2.22.
  gnu: python-ccdproc: Enable tests.
  gnu: python-reproject: Update to 0.10.0.
  gnu: python-pyvo: Update to 1.4.1.
  gnu: python-fitsio: Use Gexp.
  gnu: python-astropy-healpix: Use Gexp.
  gnu: python-astroquery: Use Gexp.
  gnu: python-pynbody: Update to 1.3.1, simplify.
  gnu: python-astral: Update to 3.2.
  gnu: python-poppy: Update to 1.1.1.
  gnu: python-photutils: Update to 1.7.0.
  gnu: python-ephem: Update to 4.1.4.
  gnu: python-asdf: Update to 2.15.0.
  gnu: python-asdf-coordinates-schemas: Update to 0.2.0.

 gnu/packages/astronomy.scm | 366 ++++++++++++++++++-------------------
 1 file changed, 182 insertions(+), 184 deletions(-)

base-commit: 242cc93438d67f5b35602d5add02e230850b0b43
-- 
2.39.2